



<div {foreach $instance->getAnimationData() as $data => $value} data-{$data}="{$value}" {/foreach}
        data-dzm-cc-wrapper
        class="dzm-cc-wrapper container-fluid position-relative overflow-hidden {$instance->getAnimationClass()} {$instance->getStyleClasses()}"
        style="{$instance->getStyleString()};{if $instance->getProperty('shadow')}box-shadow: 0px 10px 40px 0px rgb(0 0 0 / 6%);{else}box-shadow: none;{/if} width:{if $instance->getProperty('contentWidth')}100%{else}fit-content;{/if}">

    <div data-dzm-cc-copy-confirmation id="dzm-cc-copy-confirm" class="dzm-cc-copy-confirmer ">
   {$instance->getProperty('copyText')}
    </div>

   {* BANDEROLE*}
    {if $instance->getProperty('saleBanderole') !== 'isEmpty'}
        <div class="dzm-cc-banderole position-absolute" style="background-color:{$instance->getProperty('banderoleColor')}">
            {if $instance->getProperty('saleBanderole') == 'isSale'}
                SALE
            {/if}
            {if $instance->getProperty('saleBanderole') == 'isPercent'}
                <small class="font-weight-bolder">GUTSCHEIN</small>
            {/if}
            {if $instance->getProperty('saleBanderole') == 'isCoupon'}
             COUPON
            {/if}
        </div>
    {/if}

    <div class="row justify-content-between">
        {if !$instance->getProperty('hideImage')}
            {$img = $instance->getProperty('img')}
            {if $img != ''}
                <div class="col-12 col-lg-4 p-0">
                    {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                    <div class="dzm-cc-coupon-image" style="background-image:url({$imgAttribs.src});background-size: cover;">
                    </div>
                </div>
            {/if}
        {/if}

        <div class="col-12 col-lg d-flex align-items-center justify-content-center">
            <div class="row justify-content-center my-5" style="gap:10px;">
                <div class="col-10">
                    <div class="dzm-cc-codeHeadline text-center text-lg-left">
                        <span class="h3 font-weight-bolder" style="font-weight:800;">{$instance->getProperty('couponHeadline')}</span>
                    </div>
                </div>
                <div class="col-10 position-relative">
                        <div class="dzm-cc-codeBox-wrapper d-flex align-items-center justify-content-between px-2">
                                <div><span data-dzm-cc-coupon-code class="h5 w-100 text-muted text-center" id="text">{$instance->getProperty('code')}</span></div>
                                <div data-toggle="tooltip" data-placement="top" title="Code kopieren"><button data-dzm-cc-copy-btn class="btn btn-link" ><i class="far fa-copy"></i></button></div>
                        </div>

                </div>
                <div class="col-10">
                    <div class="dzm-cc-codeSubText text-center text-lg-left">
                        <span class="text-muted ">{$instance->getProperty('subText')}</span>
                    </div>
                </div>

            </div>

        </div>
        {if !$instance->getProperty('hideImage')}
        {$img = $instance->getProperty('img')}
        {if $img != ''}
        <div class="d-none d-lg-block col-lg-1"></div>
        {/if}
        {/if}
    </div>
</div>

