{if isset($portlet) && isset($instance) && $portlet->getClass() === 'DZMFreeGiftsProgressbar' && !$portlet->isUsed()}
    {$isPortlet = true}
    {$config = $portlet->getConfig()}
    {$portlet->setUsed(true)}
{else}
    {$isPortlet = false}
    {$config = $dzm_opc_salesbooster_settings->DZMFreeGiftsProgressbar}

{/if}

{if $isPortlet}

    {$progressbarModeDesktop = $instance->getProperty('progressbarModeDesktop')}
    {$progressbarModeTablet = $instance->getProperty('progressbarModeTablet')}
    {$progressbarModeMobile = $instance->getProperty('progressbarModeMobile')}
    {if $isMobile}
        {$progressbarMode =  $instance->getProperty('progressbarModeMobile')}

        {$compact = $instance->getProperty('isCompactMobile')}
        {$showNextGoalValue = $instance->getProperty('showNextGoalValue') && !$compact}
        {$showMarkIcons = $instance->getProperty('showMarkIcons') && !$compact}
        {if $compact}
            {$height = $instance->getProperty('compactHeight')|cat:'px'}
        {else}
            {$height = '20px'}
        {/if}

    {elseif $isTablet}
        {$progressbarMode =  $instance->getProperty('progressbarModeTablet')}

        {$compact = $instance->getProperty('isCompactTablet')}
        {$showNextGoalValue = $instance->getProperty('showNextGoalValue') && !$compact}
        {$showMarkIcons = $instance->getProperty('showMarkIcons') && !$compact}
        {if $compact}
            {$height = $instance->getProperty('compactHeight')|cat:'px'}
        {else}
            {$height = '20px'}
        {/if}

    {else}

        {$progressbarMode =  $instance->getProperty('progressbarModeDesktop')}

        {$compact = $instance->getProperty('isCompactDesktop')}
        {$showNextGoalValue = $instance->getProperty('showNextGoalValue') && !$compact}
        {$showMarkIcons = $instance->getProperty('showMarkIcons') && !$compact}
        {if $compact}
            {$height = $instance->getProperty('compactHeight')|cat:'px'}
        {else}
            {$height = '20px'}
        {/if}
    {/if}

    {$showInfoText = $instance->getProperty('showInfoText')}


{else}


    {$progressbarModeDesktop = $config->progressbarModeDesktop->value}
    {$progressbarModeTablet = $config->progressbarModeTablet->value}
    {$progressbarModeMobile = $config->progressbarModeMobile->value}
    {if $isMobile}
        {$progressbarMode = $config->progressbarModeMobile->value}

        {$compact = $config->isCompactMobile}
        {$showNextGoalValue = $config->showNextGoalValue && !$compact}
        {$showMarkIcons = $config->showMarkIcons && !$compact}
        {if $compact}
            {$height = $config->compactHeight|cat:'px'}
        {else}
            {$height = '20px'}
        {/if}

    {elseif $isTablet}
        {$compact = $config->isCompactTablet}
        {$progressbarMode = $config->progressbarModeTablet->value}

        {$showNextGoalValue = $config->showNextGoalValue && !$compact}
        {$showMarkIcons = $config->showMarkIcons && !$compact}
        {if $compact}
            {$height = $config->compactHeight|cat:'px'}
        {else}
            {$height = '20px'}
        {/if}

    {else}
        {$compact = $config->isCompactDesktop}
        {$progressbarMode = $config->progressbarModeDesktop->value}

        {$showNextGoalValue = $config->showNextGoalValue && !$compact}
        {$showMarkIcons = $config->showMarkIcons && !$compact}
        {if $compact}
            {$height = $config->compactHeight|cat:'px'}
        {else}
            {$height = '20px'}
        {/if}
    {/if}

    {$showInfoText = $config->showInfoText}

{/if}





{if $config->active}

    {if $isPortlet}
        {$result = $portlet->getGifts()}
        {$dzm_con_fgp_gifts = $result.gifts}
        {$cartValue = $result.cartSum}
    {else}
        {$cartValue = $dzm_con_fgp_cart_value}

    {/if}



    {if $isPreview}
<div style="overflow: hidden;" class="py-4 {if $compact || !$showMarkIcons}px-3{elseif $progressbarMode !== 'single'}pr-5 pl-3{else}px-5{/if}">

        <div data-dzm-pb-wrapper="" class=" d-flex flex-column align-items-center justify-content-center">
            <div  class="dzm-pb " style="background-color:{$config->barColor};width: 100%; opacity: 1;">
                <span class="" data-dzm-pb-progress="30" style="background-color:{$config->progressColor}; width: 15%;"></span>
                {if $instance->getProperty('showNextGoalValue')}<span data-dzm-pb-goal="" style="color:{$config->fillColor};">XX.XX von YY.YY</span>{/if}
                <span class=" " data-dzm-pb-marker="31.15" data-dzm-pb-marker-type="custom" data-dzm-pb-marker-text="Wir plfanzen einen Baum " data-dzm-pb-marker-description="und wir pflanzen einen Baum für dich" style="background-color: {$config->fillColor}; z-index: unset; left: 15.575%;">
                    <span class="dzm-pb__marker-icon {if !$showMarkIcons}dzm-pb__marker-icon--hide{/if}" data-toggle="tooltip" data-placement="bottom" title="" style="background-color:{$config->barColor};color:{$config->fillColor};" data-original-title="Wir plfanzen einen Baum ">
                        <i class="fas fa-heart"></i>
                    </span>
                </span>
                <span class=" " data-dzm-pb-marker="50" data-dzm-pb-marker-type="gift" data-dzm-pb-marker-text="Gratisgeschenk" data-dzm-pb-marker-description="bis zu deinem nächsten Gratisgeschenk" style="background-color: {$config->fillColor}; z-index: unset; left: 25%;">
                    <span class="dzm-pb__marker-icon {if !$showMarkIcons}dzm-pb__marker-icon--hide{/if}" data-toggle="tooltip" data-placement="bottom" title="" style="background-color:{$config->barColor};color:{$config->fillColor};" data-original-title="Gratisgeschenk">
                        <i class="fas fa-gift"></i>
                    </span>
                </span>
                <span class=" " data-dzm-pb-marker="150" data-dzm-pb-marker-type="special" data-dzm-pb-marker-text="Versandkostenfrei" data-dzm-pb-marker-description="und wir schenken dir die Versandkosten" style="background-color: {$config->fillColor}; z-index: unset; left: 75%;">
                    <span class="dzm-pb__marker-icon {if !$showMarkIcons}dzm-pb__marker-icon--hide{/if}" data-toggle="tooltip" data-placement="bottom" title="" style="background-color:{$config->barColor};color:{$config->fillColor};" data-original-title="Versandkostenfrei">
                        <i class="fas fa-truck"></i>
                    </span>
                </span>
                <span class=" " data-dzm-pb-marker="200" data-dzm-pb-marker-type="gift" data-dzm-pb-marker-text="Gratisgeschenk" data-dzm-pb-marker-description="bis zu deinem nächsten Gratisgeschenk" style="background-color: {$config->fillColor}; z-index: unset; left: 100%;">
                    <span class="dzm-pb__marker-icon {if !$showMarkIcons}dzm-pb__marker-icon--hide{/if}" data-toggle="tooltip" data-placement="bottom" title="" style="background-color:{$config->barColor};color:{$config->fillColor};" data-original-title="Gratisgeschenk">
                        <i class="fas fa-heart"></i>
                    </span>
                </span>

            </div>
            {if $showInfoText}<span data-dzm-pb-info-text="">[PREVIEW]</span>{/if}

        </div>
</div>
    {elseif  $dzm_con_fgp_gifts|count > 0 }


        {if $isPortlet}
            {$uid = $instance->getUid()}
        {else}
            {$uid = 'dzm-con-fgpb-static'|cat:$DZMFreeGiftsProgressbarId}
        {/if}



        {if !$isPortlet }
            <div class="container p-0">
        {/if}

            <div style="overflow: hidden;" class="py-4 {if $compact || !$showMarkIcons}px-3{elseif $progressbarMode !== 'single'}pr-5 pl-3{else}px-5{/if}">


                <div data-dzm-pb-wrapper id="{$uid}" class=" d-flex flex-column align-items-center justify-content-center">




                    <div  class="dzm-pb " style="background-color:{$config->barColor};height:{$height}">
                        <span class="" data-dzm-pb-progress="{$cartValue|default:0}" style="background-color:{$config->progressColor};"></span>
                        {if ($showNextGoalValue|default:true)}

                            <span data-dzm-pb-goal style="color:{$config->fillColor};"></span>
                        {/if}
                        {foreach $dzm_con_fgp_gifts as $item}

                            {if ($item->type === 'special' && $config->showFreeShippingMark)
                                || ($item->type === 'gift' && $config->showFreeGiftsMark)
                                || $item->type === 'custom'}
                                {if $item->type==='special'}
                                    {$icon = $config->freeShippingIcon|default:'fas fa-truck'}
                                    {$text = {lang key='free_gift_progressbar_free_shipping' section='dzm_opc_salesbooster'}}
                                    {$description = {lang key='free_gift_progressbar_free_shipping_description' section='dzm_opc_salesbooster'}}
                                {elseif $item->type === 'gift'}
                                    {$icon = $config->freeGiftIcon|default:'fas fa-gift'}
                                    {$text = {lang key='free_gift_progressbar_gift' section='dzm_opc_salesbooster'}}
                                    {$description = {lang key='free_gift_progressbar_gift_description' section='dzm_opc_salesbooster'}}

                                {else}
                                    {$icon = $config->freeCustomIcon|default:'fas fa-heart'}
                                    {$text = {lang key=$item->textVariable section='custom'}}
                                    {$description = {lang key=$item->descriptionVariable section='custom'}}
                                {/if}

                                <span class=" "
                                      data-dzm-pb-marker="{$item->threshold}"
                                      data-dzm-pb-marker-type="{$item->type}"
                                      data-dzm-pb-marker-text="{$text}"
                                      data-dzm-pb-marker-description="{$description}"
                                      style="background-color: {if $item@last}transparent{else}{$config->fillColor}{/if};">

                                    <span class="dzm-pb__marker-icon {if !$showMarkIcons }dzm-pb__marker-icon--hide{/if}"
                                          data-toggle="tooltip"
                                          data-placement="bottom"
                                          title="{$text}"
                                          style="background-color:{$config->barColor};color:{$config->fillColor};">

                                        <i class="{$icon}"></i>

                                    </span>


                                </span>
                            {/if}
                        {/foreach}

                    </div>
                    <p class="small mt-1" data-dzm-pb-info-text></p>

                </div>
            </div>
        {if !$isPortlet }
        </div>
        {/if}

        <script>
            document.addEventListener('DZMDispatcherReady',(e)=>{
                (new DZMProgressbar('#{$uid}')).init({
                    mode:'{if $isMobile}{$progressbarModeMobile|default:"all"}{elseif $isTablet}{$progressbarModeTablet|default:"all"}{else}{$progressbarModeDesktop|default:"all"}{/if}',
                    barColor:'{$config->barColor|default:'#A9A29D'}',
                    progressColor:'{$config->progressColor|default:'#BFD037'}',
                    fillColor:'{$config->fillColor|default:'#ffffff'}',
                    showSpecialMark:{if $config->alwaysShowFreeShippingMark}true{else}false{/if},
                    showInfoText:{if $showInfoText}true{else}false{/if},
                    strings: {
                        outOf:'{lang key="free_gift_progressbar_string_out_of" section="dzm_opc_salesbooster"}',
                        unit: '{$smarty.session.Waehrung->code}',
                        unitBefore:{if $smarty.session.Waehrung->forcePlacementBeforeNumber}true{else}false{/if},
                        stateTextBefore:'{lang key="free_gift_progressbar_state_text_before" section="dzm_opc_salesbooster"}',
                        stateTextAfter:'{lang key="free_gift_progressbar_state_text_after" section="dzm_opc_salesbooster"}'
                    }
                })
            })

        </script>


        {else}
<!-- NOTHIN-->
    {/if}

{elseif $isPortlet && $isPreview}

    <div style="border: 2px dashed red!important;">
        <div class="p-3" style="opacity: 0.5;">
            <i class="fas fa-info-circle mr-1"></i>
            <span class=""> <strong>ACHTUNG Widget [Gratis Geschenke Progress Bar] ist inaktiv</strong></span>
        </div>
    </div>
{/if}
